Announcement

Collapse
No announcement yet.

KDE Frameworks 5.62 Released With KWayland Additions & Other Improvements

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • KDE Frameworks 5.62 Released With KWayland Additions & Other Improvements

    Phoronix: KDE Frameworks 5.62 Released With KWayland Additions & Other Improvements

    KDE Frameworks 5.62 is out today as the latest monthly update to this collection of KDE libraries complementing the Qt5 tool-kit offerings...

    http://www.phoronix.com/scan.php?pag...rameworks-5.62

  • aufkrawall
    replied
    Originally posted by sl1pkn07 View Post
    propietary drivers
    Then it seems Nvidia's eglstream backend for KWin is crap.

    Leave a comment:


  • sl1pkn07
    replied
    Originally posted by aufkrawall View Post
    Yes, it does.
    Though it seems --interpolation doesn't work. Have to recheck with Weston and then probably report it.
    nope

    Code:
    ┌─┤[$]|[sl1pkn07]|[sL1pKn07]|[~]|
    └───╼  cat /etc/mpv/mpv.conf  
    profile=gpu-hq
    gpu-api=vulkan
    gpu-context=x11vk
    spirv-compiler=auto
    audio-device=pulse
    audio-channels=auto
    screenshot-format=png
    screenshot-high-bit-depth=yes
    no-hidpi-window-scale
    hidpi-window-scale=no
    cdrom-device=/dev/cdrom
    dvd-device=/dev/cdrom
    bluray-device=/dev/cdrom
    script-opts=osc-layout=bottombar
    demuxer-mkv-subtitle-preroll  
    sub-ass-vsfilter-blur-compat=yes
    script=/usr/share/mpv/scripts/mpris.so
    ┌─┤[$]|[sl1pkn07]|[sL1pKn07]|[~]|
    └───╼  cat /usr/share/vulkan/icd.d/nvidia_icd.json      
    {
       "file_format_version" : "1.0.0",
       "ICD": {
           "library_path": "libEGL_nvidia.so.0",
           "api_version" : "1.1.121"
       }
    }
    ┌─┤[$]|[sl1pkn07]|[sL1pKn07]|[~]|
    └───╼  mpv --gpu-context waylandvk *.mp4            
    Playing: 01012008013.mp4
    (+) Video --vid=1 (*) (mpeg4 14.976fps)
    (+) Audio --aid=1 (*) (aac 1ch 16000Hz)
    [vo/gpu/vulkan/libplacebo] Failed creating instance: VK_ERROR_EXTENSION_NOT_PRESENT
    [vo/gpu/vulkan/libplacebo] Failed initializing vulkan instance
    Xlib:  extension "NV-GLX" missing on display ":0".
    Xlib:  extension "NV-GLX" missing on display ":0".
    [vo/vdpau] Error when calling vdp_device_create_x11: 1
    [vo/xv] Warning: this legacy VO has bad quality and performance, and will in particular result in blurry OSD and subtitles. You should fix your graphics drivers, or not force the xv VO.
    AO: [pulse] 16000Hz mono 1ch float
    VO: [xv] 352x288 yuv420p
    AV: 00:00:02 / 00:00:40 (7%) A-V:  0.000
    
    
    Exiting... (Quit)
    KDE with propietary drivers
    Last edited by sl1pkn07; 09-16-2019, 02:00 PM.

    Leave a comment:


  • sireangelus
    replied
    Originally posted by retardxfce View Post

    You can either wipe Debian from your computer or wait 5 years .
    ... is there no ppa-like thing that will package the latest and gratest ?

    Leave a comment:


  • aufkrawall
    replied
    Originally posted by sl1pkn07 View Post

    this not include vulkan over wayland, right? (waylandvk)
    Yes, it does.
    Though it seems --interpolation doesn't work. Have to recheck with Weston and then probably report it.

    Leave a comment:


  • sl1pkn07
    replied
    Originally posted by aufkrawall View Post
    Those improvements also make mpv Wayland work.
    this not include vulkan over wayland, right? (waylandvk)

    Leave a comment:


  • ALRBP
    replied
    Originally posted by sireangelus View Post
    How do I install this on buster? Can someone provide me with a link please?
    You can either compile it yourself or use the testing/sid repo when KF5.62 will come to them. None of these are guaranteed to work nor recommended.
    If you want bleeding-edge software, Debian stable is not the good choice. Prefer Debian testing or a rolling-release distribution like Gentoo or Arch.

    Leave a comment:


  • retardxfce
    replied
    Originally posted by sireangelus View Post
    How do I install this on buster? Can someone provide me with a link please?
    You can either wipe Debian from your computer or wait 5 years .

    Leave a comment:


  • sireangelus
    replied
    How do I install this on buster? Can someone provide me with a link please?

    Leave a comment:


  • disobeyedtoast
    replied
    Originally posted by tildearrow View Post

    NVIDIA was indeed forced to write EGLStreams support themselves. They got their support code merged in KWin 5.16.
    It's nice when I'm happy I'm wrong.

    Leave a comment:

Working...
X